{
    "type": "project",
    "license": "proprietary",
    "require": {
        "php": ">=8.1.0",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "clue/socket-raw": "^1.5",
        "composer/package-versions-deprecated": "1.11.99.4",
        "directorytree/ldaprecord": "^2.13",
        "doctrine/annotations": "^1.0",
        "doctrine/doctrine-bundle": "^2.7",
        "doctrine/doctrine-migrations-bundle": "^3.2",
        "doctrine/orm": "^2.12",
        "dompdf/dompdf": "^1.2",
        "easycorp/easyadmin-bundle": "^4.0",
        "friendsofsymfony/ckeditor-bundle": "^2.5",
        "gedmo/doctrine-extensions": "^3.0",
        "google/apiclient": "^2.0",
        "knplabs/knp-paginator-bundle": "^5.8",
        "knplabs/knp-snappy": "^1.4",
        "nyholm/psr7": "^1.4",
        "oro/doctrine-extensions": "^2.0",
        "phpdocumentor/reflection-docblock": "^5.3",
        "phpoffice/phpspreadsheet": "^1.22",
        "phpoffice/phpword": "*",
        "phpseclib/phpseclib": "^3.0",
        "phpstan/phpdoc-parser": "^1.6",
        "pugx/filter-bundle": "^1.0",
        "scienta/doctrine-json-functions": "^4.1",
        "sensio/framework-extra-bundle": "^6.2",
        "stof/doctrine-extensions-bundle": "^1.7",
        "symfony/amqp-messenger": "^5.4",
        "symfony/apache-pack": "^1.0",
        "symfony/asset": "5.4.*",
        "symfony/console": "5.4.*",
        "symfony/doctrine-messenger": "5.4.*",
        "symfony/dotenv": "5.4.*",
        "symfony/expression-language": "5.4.*",
        "symfony/flex": "^2.2",
        "symfony/form": "5.4.*",
        "symfony/framework-bundle": "5.4.*",
        "symfony/http-client": "5.4.*",
        "symfony/intl": "5.4.*",
        "symfony/mailer": "5.4.*",
        "symfony/messenger": "5.4.*",
        "symfony/mime": "5.4.*",
        "symfony/monolog-bundle": "^3.0",
        "symfony/notifier": "5.4.*",
        "symfony/process": "5.4.*",
        "symfony/property-access": "5.4.*",
        "symfony/property-info": "5.4.*",
        "symfony/proxy-manager-bridge": "5.4.*",
        "symfony/runtime": "5.4.*",
        "symfony/security-bundle": "5.4.*",
        "symfony/serializer": "5.4.*",
        "symfony/string": "5.4.*",
        "symfony/translation": "5.4.*",
        "symfony/twig-bundle": "5.4.*",
        "symfony/uid": "5.4.*",
        "symfony/validator": "5.4.*",
        "symfony/web-link": "5.4.*",
        "symfony/webpack-encore-bundle": "^1.13",
        "symfony/yaml": "5.4.*",
        "tecnickcom/tcpdf": "^6.4",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/intl-extra": "^3.3",
        "twig/string-extra": "^3.3",
        "twig/twig": "^2.12|^3.0",
        "wiser/ldap-user-provider-bundle": "*"
    },
    "require-dev": {
        "codeception/codeception": "^5.0",
        "codeception/module-asserts": "^3.0",
        "codeception/module-doctrine2": "^3.0",
        "codeception/module-phpbrowser": "^3.0",
        "codeception/module-symfony": "^3.1",
        "codeception/module-webdriver": "^3.2",
        "phpstan/extension-installer": "^1.2",
        "phpstan/phpstan": "^1.9",
        "phpstan/phpstan-doctrine": "^1.3",
        "phpstan/phpstan-symfony": "^1.2",
        "phpunit/phpunit": "^9.5",
        "symfony/browser-kit": "5.4.*",
        "symfony/css-selector": "5.4.*",
        "symfony/debug-bundle": "5.4.*",
        "symfony/maker-bundle": "^1.0",
        "symfony/phpunit-bridge": "^6.1",
        "symfony/stopwatch": "5.4.*",
        "symfony/web-profiler-bundle": "5.4.*"
    },

    "config": {
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "symfony/flex": true,
            "symfony/runtime": true,
            "phpstan/extension-installer": true
        },
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "platform": {
            "php": "8.1.0"
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ],
        "phpstan": [
            "@php bin/console cache:warmup --env=dev",
            "@phpstan-general"
        ],
        "phpstan-general": "phpstan analyse -c phpstan.neon src --level 7 --no-progress"
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": true,
            "require": "5.4.*"
        }
    }
}
